Search for files and folders to recover that match the specified search and filter criteria on the Cohesity Cluster.

Privileges: RESTORE_VIEW

Use the files and folders returned by this operation to populate the
list of files and folders to recover in the
POST /public/restore/files operation.
If no search pattern or filter parameters are specified, all files
and folders currently found on the Cohesity Cluster are returned.
Specify a search pattern or parameters to filter the results that
are returned.

The term "items" below refers to files and folders that are found
in the source objects (such as VMs).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
mustHaveTags
array of strings

Specifies tags which must be all present in the document.

mustHaveTags
mightHaveTags
array of strings

Specifies list of tags, one of which might be present in the document.
These are OR'ed together and the resulting criteria AND'ed with the
rest of the query.

mightHaveTags
mustHaveSnapshotTags
array of strings

Specifies snapshot tags which must be all present in the document.

mustHaveSnapshotTags
mightHaveSnapshotTags
array of strings

Specifies list of snapshot tags, one of which might be present in the
document. These are OR'ed together and the resulting criteria AND'ed
with the rest of the query.

mightHaveSnapshotTags
boolean

Specifies bool to control pagination of search results. Only valid
for librarian queries. If this is set to true and a pagination cookie
is provided, search will be resumed.

int32

Specifies pagesize for pagination. Only valid for librarian queries.
Effective only when Paginate is set to true.

string

Specifies cookie for resuming search if pagination is being used. Only
valid for librarian queries. Effective only when Paginate is set to true.

Filter by searching for sub-strings in the item name. The specified
string can match any part of the item name.
For example: "vm" or "123" both match the item name of "vm-123".

jobIds
array of int64s

Filter by a list of Protection Job ids.
Only items backed up by the specified Jobs are listed.

jobIds
registeredSourceIds
array of int64s

Filter by a list of Registered Sources ids. Only items
from the listed Registered Sources are returned.

registeredSourceIds
viewBoxIds
array of int64s

Filter by a list of Domains (View Boxes) ids.
Only items stored in the listed Domains (View Boxes) are returned.

viewBoxIds
environments
array of strings

Filter by environment types such as 'kVMware', 'kView', etc.
Only items from the specified environment types are returned.
NOTE: 'kPuppeteer' refers to Cohesity's Remote Adapter.

environments
int64

Specifies an index number that can be used to return subsets of items
in multiple requests.
Break up the items to return into multiple requests
by setting pageCount and using startIndex to return a subsets of items.
For example, set startIndex to 0 to get the first set of items
for the first request. Increment startIndex by pageCount
to get the next set of items for a next request.
Continue until all items are returned and therefore the total number of
returned items is equal to totalCount.

int64

Limit the number of items to return in the response for pagination
purposes.

sourceIds
array of int64s

Filter by source ids. Only files and folders found in the listed sources
(such as VMs) are returned.

sourceIds
boolean

Filter by folders or files. If true, only folders are returned.
If false, only files are returned. If not specified, both
files and folders are returned.

string

TenantId specifies the tenant whose action resulted in the audit log.

boolean

AllUnderHierarchy specifies if logs of all the tenants under the hierarchy
of tenant with id TenantId should be returned.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json